Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://karibu.briq.tz/v1/workspace/create/ \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "name": "<string>" } '
import requestsurl = "https://karibu.briq.tz/v1/workspace/create/"payload = { "name": "<string>" }headers = { "X-API-Key": "<api-key>", "Content-Type": "application/json"}response = requests.post(url, json=payload, headers=headers)print(response.text)
const options = { method: 'POST', headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'}, body: JSON.stringify({name: '<string>'})};fetch('https://karibu.briq.tz/v1/workspace/create/', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "created_at": "2023-11-07T05:31:56Z", "developer_access": true, "description": "<string>" }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>" } ]}
Create a new workspace for the authenticated user.
Successful Response